Subject: Re: [PATCH] do not set GIT_TEST_MAINT_SCHEDULER where it does not matter

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Mar 2024 22:38:32 -0700

Eric Sunshine <[email-masked]> writes:

> Clearly the idea was to protect the scheduler-configuration of the
> person running the test in the event that the test author forgot to
> set GIT_TEST_MAINT_SCHEDULER to one of the legitimate "testing values"
> before invoking a "destructive" command, such as `git maintenance
> start`. By defaulting to `none:exit 1`, the problem would be caught
> and reported before any damage could be done to the configuration of
> the person running the tests.

Yeah, if the variable were exported.  So I am OK with a fix in the
opposite direction.